Name:       yum-metadata-parser
Version:    1.1.4
Release:    %mkrel 12
Summary:    A fast metadata parser for yum
License:    GPLv2
Group:      System/Packaging
URL:        http://yum.baseurl.org/
Source0:    http://yum.baseurl.org/download/yum-metadata-parser/%{name}-%{version}.tar.gz
Patch0:     BZ-612409-handle-2GB-rpms.patch
Patch1:     UPSTREAM-py-3-split.patch
Patch2:     UPSTREAM-weak-deps.patch
Patch3:     UPSTREAM-index-weak-deps.patch
Patch4:     UPSTREAM-fix-minor-mem-leak.patch
BuildRequires:  python-devel
BuildRequires:  glib2-devel
BuildRequires:  libxml2-devel
BuildRequires:  sqlite3-devel
BuildRequires:  pkgconfig

%description
Fast metadata parser for yum implemented in C.

%prep
%setup -q
%autopatch -p1

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --root=%{buildroot}

%files
%doc README AUTHORS ChangeLog
%{python_sitearch}/_sqlitecache.so
%{python_sitearch}/yum_metadata_parser-*.egg-info
%{python_sitearch}/sqlitecachec*


%changelog
* Sun May 07 2017 ngompa <ngompa> 1.1.4-12.mga6
+ Revision: 1099434
- Sync patches with Fedora

* Mon Feb 01 2016 umeabot <umeabot> 1.1.4-11.mga6
+ Revision: 930677
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.4-10.mga5
+ Revision: 743337
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.1.4-9.mga5
+ Revision: 730751
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.1.4-8.mga5
+ Revision: 690849
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.1.4-6.mga4
+ Revision: 544885
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.1.4-5.mga4
+ Revision: 500444
- Rebuild to add different pythonegg provides for python 2 and 3

* Tue Jan 22 2013 fwang <fwang> 1.1.4-4.mga3
+ Revision: 390836
- update rpm group

* Mon Jan 14 2013 umeabot <umeabot> 1.1.4-3.mga3
+ Revision: 387642
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + cjw <cjw>
    - fix URL

* Thu Jun 09 2011 cjw <cjw> 1.1.4-2.mga2
+ Revision: 102600
- remove unneeded dependency on yum

* Sun Mar 27 2011 kharec <kharec> 1.1.4-1.mga1
+ Revision: 78156
- imported package yum-metadata-parser

